0 users online. Create an account or sign in to join them.Users

Search

I tried using some XPath 2 functions in XML Importer but these were ignored. Is it just XPath 1 which is employed here?

Are XPath expressions limited to version 1 system wide?

PHP doesn't have support for xPath2, so we are stuck with just version 1.

There has been a very long discussion about this in the forum somewhere. It can make interesting reading.

Ah, I thought it would be a server-side support issue...as with most things 'X' unfortunately. :P I remember some discussions about XSLT support which followed a similar path.

Thanks for the confirmation though.

I think Allen did a presentation once about a PHP Java bridge to use another processor, I never saw the presentation, but I'm sure he did one.

Create an account or sign in to comment.

Symphony • Open Source XSLT CMS

Server Requirements

  • PHP 5.3-5.6 or 7.0-7.3
  • PHP's LibXML module, with the XSLT extension enabled (--with-xsl)
  • MySQL 5.5 or above
  • An Apache or Litespeed webserver
  • Apache's mod_rewrite module or equivalent

Compatible Hosts

Sign in

Login details